
// C_InitTagDlg.h : header file
//

#include ".\lib\ModuleReader.h"
#pragma once
#include "afxwin.h"


// CCInitTagDlg dialog
class CCInitTagDlg : public CDialogEx
{
// Construction
public:
	CCInitTagDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_C_INITTAG_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	READER_ERR OpenReader();
	bool PreTagOp();

	HICON m_hIcon;
	int m_hreader;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()


public:
	afx_msg void OnClose();
	afx_msg void OnBnClickedopenReader();
	afx_msg void OnBnClickedwriteepc();
	afx_msg void OnBnClickedwritebank();
	afx_msg void OnBnClickedreadbank();
	afx_msg void OnBnClickedlocktag();
	afx_msg void OnBnClickedkilltag();
	afx_msg void OnBnClickedinittag();
protected:
	CEdit port;
	CComboBox antCnt;
	CEdit opAnt;
	CEdit accPwd;
	CEdit killPwd;
	CEdit epc;
	CEdit bank;
	CEdit addr;
	CEdit data;
};
